## org.eclipse.e4.xwt
Class XWTException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.e4.xwt.XWTException

All Implemented Interfaces:
  java.io.Serializable

    public class XWTException

extends java.lang.RuntimeException

See Also:
  Serialized Form

Constructor Summary
`XWTException()`
`XWTException(java.lang.String message)`
`XWTException(java.lang.String message, java.lang.Throwable cause)`
`XWTException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XWTException

    public XWTException(java.lang.String message,
                        java.lang.Throwable cause)

### XWTException

    public XWTException(java.lang.String message)

### XWTException

    public XWTException(java.lang.Throwable cause)

### XWTException

    public XWTException()